
import java.awt.*;
import java.awt.event.*;
import java.applet.*;



public class DApplet extends Applet {


  static class Debug {
    private static void out(String str) {
      System.out.println(str);
    }
  }

        
  public void init(){
	
    //UI Initialization
    setLayout(new BorderLayout());
    prompt.setLayout(new GridLayout(2,1));
    prompt1.add(helpButton);
    prompt1.add(functionLabel);
    prompt1.add(functionField);
    prompt1.add(as);
    displayChoice.add("Altitude Diagram");
    displayChoice.add("Vectorfield");
    displayChoice.add("2D-Grid");
    displayChoice.add("3D-Grid");

    prompt1.add(displayChoice);
    prompt2.add(rangeLabel1);
    prompt2.add(realRangeMin);
    prompt2.add(to1);
    prompt2.add(realRangeMax);
    prompt2.add(rangeLabel2);
    prompt2.add(imagRangeMin);
    prompt2.add(to2);
    prompt2.add(imagRangeMax);
    prompt2.add(gridSizeLabel);
    prompt2.add(gridSizeField);

	
    prompt.add(prompt1);
    prompt.add(prompt2);
    add(prompt, BorderLayout.SOUTH);
    //add(display, BorderLayout.CENTER);

    //Controller Initialization
    ActionListener ctrl =  new ActionListener() {
      public void actionPerformed(ActionEvent e) {
	calculate(functionField.getText());
      }};
  }

  /** for debugging purposes */
  public void processEvent(AWTEvent e){
    System.out.println(e);
    super.processEvent(e);
  }


  /** show helpText */
  public void displayHelp(){
    Frame helpFrame = new Frame("Help");
    TextArea helpArea = new TextArea(HELP_TEXT);
    helpFrame.add(helpArea);
    helpFrame.setSize(440,320);
    helpFrame.setVisible(true);
  }

	
  
   
  public static void main(String[] args){
    CApplet ds = new CApplet();
    Frame frame = new Frame("CApplet");
    frame.addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e){
	System.exit(0);
      }
    });
    frame.add(ds,BorderLayout.CENTER);
    frame.setVisible(true);
    frame.setSize(800,100);
    ds.init();
    ds.start();
    ds.validate();
  }
}



    
